Jump to content
Ultimaker Community of 3D Printing Experts

4.12.1 Won't Load (black screen) on Ubuntu 21.10


PrintGunsNotMoney
 Share

Recommended Posts

Posted (edited) · 4.12.1 Won't Load (black screen) on Ubuntu 21.10

As the title says, I'm running 4.12.1 as an AppImage on Ubuntu 21.10 and I could swear it worked fine yesterday, and I don't think I updated anything significant, but now when I try to run it, it just shows a black screen and never loads.  If I run it from the terminal, this is the feedback I get...

Ultimaker_Cura-4.12.1.AppImage 
<frozen zipimport>:259: DeprecationWarning: the imp module is deprecated in favour of importlib; see the module's documentation for alternative uses
Warning: Ignoring XDG_SESSION_TYPE=wayland on Gnome. Use QT_QPA_PLATFORM=wayland to run on Wayland anyway.
Attribute Qt::AA_UseDesktopOpenGL must be set before QCoreApplication is created.
libGL error: GLX drawable type is not supported
libGL error: GLX drawable type is not supported
Unrecognized OpenGL version
Unrecognized OpenGL version
libGL error: GLX drawable type is not supported
libGL error: GLX drawable type is not supported
Unrecognized OpenGL version
Unrecognized OpenGL version
Cyclic dependency detected between "file:///tmp/.mount_Ultima2GY8VY/usr/bin/resources/qml/Actions.qml" and "file:///tmp/.mount_Ultima2GY8VY/usr/bin/resources/qml/Actions.qml"
libGL error: GLX drawable type is not supported
libGL error: GLX drawable type is not supported
Unrecognized OpenGL version
Unrecognized OpenGL version
WARNING: Cannot find style "default" - fallback: "/tmp/.mount_Ultima2GY8VY/usr/bin/qt/qml/QtQuick/Controls/Styles/Desktop"
libGL error: GLX drawable type is not supported
libGL error: GLX drawable type is not supported
Unrecognized OpenGL version
Unrecognized OpenGL version
libGL error: GLX drawable type is not supported
libGL error: GLX drawable type is not supported
Unrecognized OpenGL version
Unrecognized OpenGL version
libGL error: GLX drawable type is not supported
libGL error: GLX drawable type is not supported
libGL error: GLX drawable type is not supported
libGL error: GLX drawable type is not supported
libGL error: GLX drawable type is not supported
libGL error: GLX drawable type is not supported

Is there a cache I can try clearing?  I'm not sure what else to try... any advice is appreciated.

Edited by PrintGunsNotMoney
typo in title
  • Link to post
    Share on other sites

    • PrintGunsNotMoney changed the title to 4.12.1 Won't Load (black screen) on Ubuntu 21.10

    Create an account or sign in to comment

    You need to be a member in order to leave a comment

    Create an account

    Sign up for a new account in our community. It's easy!

    Register a new account

    Sign in

    Already have an account? Sign in here.

    Sign In Now
     Share

    • Our picks

      • New here? Get ahead with a free onboarding course
        Hi,
         
        Often getting started is the most difficult part of any process. A good start sets you up for success and saves you time and energy that could be spent elsewhere. That is why we have a onboarding course ready for
        Ultimaker S5 Pro Bundle, Ultimaker S5, Ultimaker S3 Ultimaker 2+ Connect.   
        They're ready for you on the Ultimaker Academy platform. All you need to do to gain access is to register your product to gain free access. 
        Ready? Register your product here in just 60 seconds.
          • Like
        • 11 replies
    ×
    ×
    • Create New...